package com.fuyuanshen.modules.system.domain.dto.app;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author: 默苍璃
 * @date: 2025-06-1818:36
 */
@Data
public class APPUnbindDTO {

    @NotBlank(message = "设备MAC不能为空")
    @ApiModelProperty(value = "设备MAC", required = true)
    private String deviceMac;

    @NotNull(message = "客户号不能为空")
    @ApiModelProperty(value = "客户号")
    private Long customerId;

}
