package com.fuyuanshen.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fuyuanshen.modules.system.domain.CustomerDevice;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * @author: 默苍璃
 * @date: 2025-06-1308:57
 */
@Mapper
@Repository
public interface CustomerDeviceMapper extends BaseMapper<CustomerDevice> {

    int insert(CustomerDevice customerDevice);

    CustomerDevice selectById(Long id);

    int updateAssignStatusByCustomerIdAndDeviceId(Long customerId, Long deviceId, Byte assignStatus);

}
