package com.fuyuanshen.modules.system.domain.dto.app;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author: 默苍璃
 * @date: 2025-06-1818:36
 */
@Data
public class APPForgotPasswordDTO {

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号（APP登录）")
    private String phoneNumber;


    @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "验证码")
    @NotBlank(message = "验证码不能为空")
    private String verificationCode;
}
