package com.fuyuanshen.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fuyuanshen.modules.system.domain.DeviceLog;
import com.fuyuanshen.modules.system.domain.dto.DeviceLogQueryCriteria;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/24
 **/
@Mapper
public interface DeviceLogMapper extends BaseMapper<DeviceLog> {

    IPage<DeviceLog> findAll(@Param("criteria") DeviceLogQueryCriteria criteria, Page<Object> page);

    List<DeviceLog> findAll(@Param("criteria") DeviceLogQueryCriteria criteria);

}
